
Cook: zip 3.0
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): bzip2-apps-1.0.6
Installing (pkg/local): bzip2-dev-1.0.6
Extracting source archive "zip30.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -mindirect-branch=thunk
CXXLAGS  : -march=i486 -Os -pipe -mindirect-branch=thunk
CPPFLAGS : -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

make -f unix/Makefile generic CC=gcc CPP="gcc -E"
make[1]: Entering directory '/home/slitaz/wok/zip/source/zip-3.0'
sh unix/configure "gcc" "-I. -DUNIX " ""
Check C compiler type (optimization options)
  GNU C (-O3)
Check bzip2 support
  Check for bzip2 in bzip2 directory
  Check if OS already has bzip2 library installed
-- OS supports bzip2 - linking in bzip2
Check for the C preprocessor
Check if we can use asm code
Check if compiler generates underlines
Check for ANSI options
Check for prototypes
Check the handling of const
Check for time_t
Check for size_t
Check for off_t
Check size of UIDs and GIDs
(Now zip stores variable size UIDs/GIDs using a new extra field.  This
 tests if this OS uses 16-bit UIDs/GIDs and so if the old 16-bit storage
 should also be used for backward compatibility.)
  s.st_uid is 4 bytes
  s.st_gid is 4 bytes
-- UID not 2 bytes - disabling old 16-bit UID/GID support
Check for Large File Support
  off_t is 8 bytes
-- yes we have Large File Support!
Check for wide char support
-- have wchar_t - enabling Unicode support
Check for gcc no-builtin flag
Check for rmdir
Check for strchr
Check for strrchr
Check for rename
Check for mktemp
Check for mktime
Check for mkstemp
Check for memset
Check for memmove
Check for strerror
Check for errno declaration
Check for directory libraries
Check for readlink
Check for directory include file
Check for nonexistent include files
Check for term I/O include file
Check for valloc
Check for /usr/local/bin and /usr/local/man
Check for OS-specific flags
Check for symbolic links
eval make -f unix/Makefile zips `cat flags`
make[2]: Entering directory '/home/slitaz/wok/zip/source/zip-3.0'
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H zip.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H zipfile.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H zipup.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H fileio.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H util.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H globals.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H crypt.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H ttyio.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H unix/unix.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H crc32.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H zbz2err.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H deflate.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H trees.c
/usr/bin/cpp match.S > _match.s
gcc -c _match.s
mv _match.o match.o
rm -f _match.s
/usr/bin/cpp crc_i386.S > _crc_i386.s
gcc -c _crc_i386.s
mv _crc_i386.o crc_i386.o
rm -f _crc_i386.s
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H zipcloak.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DUTIL -o zipfile_.o zipfile.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DUTIL -o fileio_.o fileio.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DUTIL -o util_.o util.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DUTIL -o unix_.o unix/unix.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DUTIL -o crc32_.o crc32.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DUTIL -o crypt_.o crypt.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H zipnote.c
gcc -c -I. -DUNIX -O3 -DBZIP2_SUPPORT -DASMV -DASM_CRC -DUIDGID_NOT_16BIT -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DHAVE_DIRENT_H -DHAVE_TERMIOS_H zipsplit.c
gcc -o zip  zip.o zipfile.o zipup.o fileio.o util.o globals.o crypt.o ttyio.o unix.o crc32.o zbz2err.o deflate.o trees.o match.o crc_i386.o -lbz2
gcc -o zipcloak  zipcloak.o zipfile_.o fileio_.o util_.o globals.o unix_.o crc32_.o crc_i386.o  crypt_.o ttyio.o -lbz2
gcc -o zipnote  zipnote.o  zipfile_.o fileio_.o util_.o globals.o unix_.o crc32_.o crc_i386.o -lbz2
gcc -o zipsplit  zipsplit.o zipfile_.o fileio_.o util_.o globals.o unix_.o crc32_.o crc_i386.o -lbz2
make[2]: Leaving directory '/home/slitaz/wok/zip/source/zip-3.0'
make[1]: Leaving directory '/home/slitaz/wok/zip/source/zip-3.0'
mkdir -p /home/slitaz/wok/zip/install/usr/bin
cp zip zipcloak zipnote zipsplit /home/slitaz/wok/zip/install/usr/bin
cd /home/slitaz/wok/zip/install/usr/bin; chmod 755 zip zipcloak zipnote zipsplit
mkdir -p /home/slitaz/wok/zip/install/usr/share/man/man1
cp man/zip.1 /home/slitaz/wok/zip/install/usr/share/man/man1/zip.1
chmod 644 /home/slitaz/wok/zip/install/usr/share/man/man1/zip.1
cp man/zipcloak.1 /home/slitaz/wok/zip/install/usr/share/man/man1/zipcloak.1
chmod 644 /home/slitaz/wok/zip/install/usr/share/man/man1/zipcloak.1
cp man/zipnote.1 /home/slitaz/wok/zip/install/usr/share/man/man1/zipnote.1
chmod 644 /home/slitaz/wok/zip/install/usr/share/man/man1/zipnote.1
cp man/zipsplit.1 /home/slitaz/wok/zip/install/usr/share/man/man1/zipsplit.1
chmod 644 /home/slitaz/wok/zip/install/usr/share/man/man1/zipsplit.1
================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.57s. Size: 90367 B -> 29430 B. Save: 60 KB. Cache hit: 4/4.
================================================================================


Build dependencies to remove: 3
Removing: advancecomp-static bzip2-apps bzip2-dev


Pack: zip 3.0
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.24s. Size: 607160 B -> 552700 B. Save: 53 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "zip-3.0.tazpkg"                                  Done
The release checksum has changed.
================================================================================
Package "zip-3.0.tazpkg" created


Summary for: zip 3.0
================================================================================
Src file    : zip30.tar.gz
Src size    : 1.1M
Source dir  : 5.8M
Produced    : 664.0K
Cook time   : 22s
Cook date   : 2018-10-18 01:25
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  576.0K :     125.6K :     4 : zip-3.0.tazpkg
================================================================================
